| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_i2c_info Struct Reference

I2C transfer information structure. More...

## Data Fields
boolean_t | bI2cErrorFlag
| Error flag.
uint8_t * | pu8TxBuf
| Pointer to TX buffer.
uint32_t | u32TxSize
| TX buffer size.
uint8_t * | pu8RxBuf
| Pointer to RX buffer.
uint32_t | u32RxSize
| RX buffer size.
uint32_t | u32Count
| Transfer count.
en_i2c_seq_t | enSequence
| Transfer Sequence.
uint8_t | u8DevAddr
| Device address.
en_i2c_rw_mode_t | enRwMode
| R/W Flag.
uint32_t | u32TxRxGap
| The period from end of TX and begin of restart.

## Detailed Description

I2C transfer information structure.

Definition at line 100 of file i2c_int_at24cxx.c.

## Field Documentation

boolean_t bI2cErrorFlag

Error flag.

Definition at line 102 of file i2c_int_at24cxx.c.

Referenced by I2cIntCallback(), I2cRxCallback(), I2cRxData(), I2cTxCallback(), I2cTxData(), and I2cTxRxData().

en_i2c_rw_mode_t enRwMode

R/W Flag.

Definition at line 110 of file i2c_int_at24cxx.c.

Referenced by I2cIntCallback(), I2cRxData(), I2cTxCallback(), I2cTxData(), and I2cTxRxData().

en_i2c_seq_t enSequence

Transfer Sequence.

Definition at line 108 of file i2c_int_at24cxx.c.

Referenced by I2cIntCallback(), I2cRxCallback(), I2cRxData(), I2cStopDetectCallback(), I2cTxCallback(), I2cTxData(), and I2cTxRxData().

uint8_t* pu8RxBuf

Pointer to RX buffer.

Definition at line 105 of file i2c_int_at24cxx.c.

Referenced by I2cRxCallback(), I2cRxData(), and I2cTxRxData().

uint8_t* pu8TxBuf

Pointer to TX buffer.

Definition at line 103 of file i2c_int_at24cxx.c.

Referenced by I2cTxCallback(), I2cTxData(), and I2cTxRxData().

uint32_t u32Count

Transfer count.

Definition at line 107 of file i2c_int_at24cxx.c.

Referenced by I2cIntCallback(), I2cRxCallback(), I2cRxData(), I2cTxCallback(), I2cTxData(), and I2cTxRxData().

uint32_t u32RxSize

RX buffer size.

Definition at line 106 of file i2c_int_at24cxx.c.

Referenced by I2cIntCallback(), I2cRxCallback(), I2cRxData(), and I2cTxRxData().

uint32_t u32TxRxGap

The period from end of TX and begin of restart.

Definition at line 111 of file i2c_int_at24cxx.c.

Referenced by I2cTxCallback(), and I2cTxRxData().

uint32_t u32TxSize

TX buffer size.

Definition at line 104 of file i2c_int_at24cxx.c.

Referenced by I2cTxCallback(), I2cTxData(), and I2cTxRxData().

uint8_t u8DevAddr

Device address.

Definition at line 109 of file i2c_int_at24cxx.c.

Referenced by I2cRxData(), I2cTxCallback(), I2cTxData(), and I2cTxRxData().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/utility/at24cxx/i2c_int_at24cxx.c